Results 1 to 29 of 29

Thread: Update problem

  1. #1
    Join Date
    Jul 2010
    Location
    Close 2 U
    Posts
    549

    Exclamation Update problem

    I have just installed Centos 5.2 on a new server ...

    yum update .. do some work then returns ...


    ...
    ..
    .
    (663/665): vnc-4.1.2-14.e 100% |=========================| 159 kB 00:02
    (664/665): mod_ssl-2.2.3- 100% |=========================| 92 kB 00:01
    (665/665): libxml2-devel- 100% |=========================| 2.1 MB 00:15
    warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID e8562897
    Importing GPG key 0xE8562897 "CentOS-5 Key (CentOS 5 Official Signing Key) <[email protected]>" from http://mirror.centos.org/centos/RPM-GPG-KEY-CentOS-5
    Is this ok [y/N]: y
    Running rpm_check_debug
    ERROR with rpm_check_debug vs depsolve:
    Package bind needs libdns.so.22, this is not available.
    Package bind needs libisc.so.11, this is not available.
    Package bind needs bind-libs = 30:9.3.4-6.P1.el5, this is not available.
    Package bind needs bind-libs = 30:9.3.4-6.P1.el5, this is not available.
    Complete!
    You have new mail in /var/spool/mail/root
    --------------------

    advise plz ...

  2. #2
    Join Date
    Aug 2007
    Location
    Belgium
    Posts
    4,183
    Was it a full clean reinstall you did? I assume this is a dedicated server or is it a VPS?
    You are sure the media did not have corrupt files or there were issues during the install?

    Have you already tried: yum clean all
    www.InstantDedicated.com - Online in no time
    Dedicated Servers in [EU] Netherlands with DAILY support, also on weekends
    DDOS Protected network - 100% Money Back if it doesn't work for you
    Streaming / IPTV allowed | Up to 10 Gbit ports | 100% Network Uptime

  3. #3
    Join Date
    Jul 2010
    Location
    Close 2 U
    Posts
    549
    1- its a dedicated server ...
    2- the disk is clean
    3- I will try this now "yum clean all"

  4. #4
    Join Date
    Jul 2010
    Location
    Close 2 U
    Posts
    549
    its re-updating 665 packages ... it will take time ..

  5. #5
    Join Date
    Jan 2011
    Location
    India
    Posts
    1,446
    Hope you get sucess this time. yum clean all should definately work for you i think.

  6. #6
    Join Date
    Jul 2010
    Location
    Close 2 U
    Posts
    549
    still downloading ... they are 890 MB ... :-(

  7. #7
    Join Date
    Aug 2008
    Posts
    534
    Quote Originally Posted by Lost Eagle View Post
    still downloading ... they are 890 MB ... :-(
    Depending on the mirror it could be done within a few minutes, or seconds (Gbit, but on average you won't reach that speed with normal mirrors so a +/- one minute is most likely). It shouldn't take to long
    Regards,
    Yourwebhoster.eu [NL] based hosting
    Shared | Reseller | KVM VPS | Reseller VPS

  8. #8
    Join Date
    Jul 2010
    Location
    Close 2 U
    Posts
    549
    after 12 hours waiting ...
    the same error ...

    (649/665): fipscheck-lib- 100% |=========================| 6.7 kB 00:00
    (650/665): mkinitrd-5.1.1 100% |=========================| 467 kB 00:05
    (651/665): gstreamer-0.10 100% |=========================| 733 kB 00:05
    (652/665): libgcrypt-1.4. 100% |=========================| 250 kB 00:03
    (653/665): dbus-devel-1.1 100% |=========================| 1.4 MB 00:13
    (654/665): perl-Convert-A 100% |=========================| 42 kB 00:00
    (655/665): xorg-x11-serve 100% |=========================| 1.6 MB 00:14
    (656/665): openssh-4.3p2- 100% |=========================| 287 kB 00:03
    (657/665): libXt-devel-1. 100% |=========================| 330 kB 00:04
    (658/665): OpenIPMI-2.0.1 100% |=========================| 160 kB 00:02
    (659/665): system-config- 100% |=========================| 1.5 MB 00:12
    (660/665): selinux-policy 100% |=========================| 1.2 MB 00:10
    (661/665): acl-2.2.39-6.e 100% |=========================| 69 kB 00:01
    (662/665): startup-notifi 100% |=========================| 8.5 kB 00:00
    (663/665): vnc-4.1.2-14.e 100% |=========================| 159 kB 00:01
    (664/665): mod_ssl-2.2.3- 100% |=========================| 92 kB 00:01
    (665/665): libxml2-devel- 100% |=========================| 2.1 MB 00:14
    Running rpm_check_debug
    ERROR with rpm_check_debug vs depsolve:
    Package bind needs libdns.so.22, this is not available.
    Package bind needs libisc.so.11, this is not available.
    Package bind needs bind-libs = 30:9.3.4-6.P1.el5, this is not available.
    Package bind needs bind-libs = 30:9.3.4-6.P1.el5, this is not available.
    Complete!
    ---------------
    advise plz

  9. #9
    Join Date
    Dec 2010
    Posts
    278
    Are you using cPanel?

  10. #10
    Join Date
    Jul 2010
    Location
    Close 2 U
    Posts
    549
    no ..........
    i will not use any panel ... its just a dedicated server for one site ..

    I was thinking in installing cpanel but not to active it .. ?

  11. #11
    Join Date
    Dec 2010
    Posts
    278
    The problem is due to bind dependencies which are missing, try
    'yum install bind' and that might fix it.

  12. #12
    Join Date
    Jul 2010
    Location
    Close 2 U
    Posts
    549
    fail
    ---------------
    Total download size: 2.9 M
    Is this ok [y/N]: y
    Downloading Packages:
    Running rpm_check_debug
    ERROR with rpm_check_debug vs depsolve:
    Package bind needs bind-libs = 30:9.3.4-6.P1.el5, this is not available.
    Package bind needs libdns.so.22, this is not available.
    Package bind needs libisc.so.11, this is not available.
    Package bind needs bind-libs = 30:9.3.4-6.P1.el5, this is not available.
    Complete!

  13. #13
    Join Date
    Dec 2010
    Posts
    278
    Okay....
    How about 'yum install bind-libs'

  14. #14
    Join Date
    Jul 2010
    Location
    Close 2 U
    Posts
    549
    same error:

    [[email protected] ~]# yum install bind-libs
    Setting up Install Process
    Parsing package install arguments
    Resolving Dependencies
    --> Running transaction check
    ---> Package bind-libs.i386 30:9.3.6-4.P1.el5_5.3 set to be updated
    ---> Package bind-libs.x86_64 30:9.3.6-4.P1.el5_5.3 set to be updated
    --> Processing Dependency: libdns.so.22()(64bit) for package: bind-utils
    --> Processing Dependency: libdns.so.22()(64bit) for package: bind
    --> Processing Dependency: libisc.so.11()(64bit) for package: bind-utils
    --> Processing Dependency: libisc.so.11()(64bit) for package: bind
    --> Processing Dependency: bind-libs = 30:9.3.4-6.P1.el5 for package: bind-utils
    --> Processing Dependency: bind-libs = 30:9.3.4-6.P1.el5 for package: bind
    --> Processing Dependency: bind-libs = 30:9.3.4-6.P1.el5 for package: bind
    --> Running transaction check
    ---> Package bind.x86_64 30:9.3.6-4.P1.el5_5.3 set to be updated
    ---> Package bind-utils.x86_64 30:9.3.6-4.P1.el5_5.3 set to be updated
    --> Processing Dependency: bind = 30:9.3.4-6.P1.el5 for package: bind-chroot
    --> Processing Dependency: bind = 30:9.3.4-6.P1.el5 for package: bind-chroot
    --> Running transaction check
    ---> Package bind-chroot.x86_64 30:9.3.6-4.P1.el5_5.3 set to be updated
    --> Finished Dependency Resolution

    Dependencies Resolved

    =============================================================================
    Package Arch Version Repository Size
    =============================================================================
    Updating:
    bind-libs x86_64 30:9.3.6-4.P1.el5_5.3 updates 891 k
    bind-libs i386 30:9.3.6-4.P1.el5_5.3 updates 858 k
    Updating for dependencies:
    bind x86_64 30:9.3.6-4.P1.el5_5.3 updates 986 k
    bind-chroot x86_64 30:9.3.6-4.P1.el5_5.3 updates 44 k
    bind-utils x86_64 30:9.3.6-4.P1.el5_5.3 updates 176 k

    Transaction Summary
    =============================================================================
    Install 0 Package(s)
    Update 5 Package(s)
    Remove 0 Package(s)

    Total download size: 2.9 M
    Is this ok [y/N]: y
    Downloading Packages:
    Running rpm_check_debug
    ERROR with rpm_check_debug vs depsolve:
    Package bind needs bind-libs = 30:9.3.4-6.P1.el5, this is not available.
    Package bind needs libdns.so.22, this is not available.
    Package bind needs libisc.so.11, this is not available.
    Package bind needs bind-libs = 30:9.3.4-6.P1.el5, this is not available.
    Complete!

  15. #15
    Join Date
    Dec 2010
    Posts
    278
    Try
    #yum clean all

    And then try again
    #yum install bind-libs

  16. #16
    Join Date
    Jul 2010
    Location
    Close 2 U
    Posts
    549
    i tried this before and it took long time then fail

  17. #17
    Join Date
    Dec 2010
    Posts
    278
    It took a long time to do: #yum clean all ???

    Thats strange... Maybe a reboot would help...

  18. #18
    Join Date
    Jul 2010
    Location
    Close 2 U
    Posts
    549
    Dear ...
    I tried this before ... it just took time then fail ...

  19. #19
    Join Date
    Jul 2010
    Location
    Close 2 U
    Posts
    549
    I will retry ...

  20. #20
    Join Date
    Jul 2010
    Location
    Close 2 U
    Posts
    549
    even after rebooting ... the same error
    Downloading Packages:
    Running rpm_check_debug
    ERROR with rpm_check_debug vs depsolve:
    Package bind needs bind-libs = 30:9.3.4-6.P1.el5, this is not available.
    Package bind needs libdns.so.22, this is not available.
    Package bind needs libisc.so.11, this is not available.
    Package bind needs bind-libs = 30:9.3.4-6.P1.el5, this is not available.
    Complete!

  21. #21
    Join Date
    Dec 2010
    Posts
    278
    Try
    #rpm --rebuilddb

  22. #22
    Join Date
    Jul 2010
    Location
    Close 2 U
    Posts
    549
    the same:

    [[email protected] ~]# rpm --rebuilddb
    [[email protected] ~]# yum install bind-libs
    Setting up Install Process
    Parsing package install arguments
    Resolving Dependencies
    --> Running transaction check
    ---> Package bind-libs.i386 30:9.3.6-4.P1.el5_5.3 set to be updated
    ---> Package bind-libs.x86_64 30:9.3.6-4.P1.el5_5.3 set to be updated
    --> Processing Dependency: libdns.so.22()(64bit) for package: bind-utils
    --> Processing Dependency: libdns.so.22()(64bit) for package: bind
    --> Processing Dependency: libisc.so.11()(64bit) for package: bind-utils
    --> Processing Dependency: libisc.so.11()(64bit) for package: bind
    --> Processing Dependency: bind-libs = 30:9.3.4-6.P1.el5 for package: bind-utils
    --> Processing Dependency: bind-libs = 30:9.3.4-6.P1.el5 for package: bind
    --> Processing Dependency: bind-libs = 30:9.3.4-6.P1.el5 for package: bind
    --> Running transaction check
    ---> Package bind.x86_64 30:9.3.6-4.P1.el5_5.3 set to be updated
    ---> Package bind-utils.x86_64 30:9.3.6-4.P1.el5_5.3 set to be updated
    --> Processing Dependency: bind = 30:9.3.4-6.P1.el5 for package: bind-chroot
    --> Processing Dependency: bind = 30:9.3.4-6.P1.el5 for package: bind-chroot
    --> Running transaction check
    ---> Package bind-chroot.x86_64 30:9.3.6-4.P1.el5_5.3 set to be updated
    --> Finished Dependency Resolution

    Dependencies Resolved

    =============================================================================
    Package Arch Version Repository Size
    =============================================================================
    Updating:
    bind-libs x86_64 30:9.3.6-4.P1.el5_5.3 updates 891 k
    bind-libs i386 30:9.3.6-4.P1.el5_5.3 updates 858 k
    Updating for dependencies:
    bind x86_64 30:9.3.6-4.P1.el5_5.3 updates 986 k
    bind-chroot x86_64 30:9.3.6-4.P1.el5_5.3 updates 44 k
    bind-utils x86_64 30:9.3.6-4.P1.el5_5.3 updates 176 k

    Transaction Summary
    =============================================================================
    Install 0 Package(s)
    Update 5 Package(s)
    Remove 0 Package(s)

    Total download size: 2.9 M
    Is this ok [y/N]: y
    Downloading Packages:
    Running rpm_check_debug
    ERROR with rpm_check_debug vs depsolve:
    Package bind needs bind-libs = 30:9.3.4-6.P1.el5, this is not available.
    Package bind needs libdns.so.22, this is not available.
    Package bind needs libisc.so.11, this is not available.
    Package bind needs bind-libs = 30:9.3.4-6.P1.el5, this is not available.
    Complete!

  23. #23
    Join Date
    Jul 2010
    Location
    Close 2 U
    Posts
    549
    I removed bind
    I installed bind-libs

    now I have another errors:
    Transaction Check Error:
    file /etc/autofs_ldap_auth.conf from install of autofs-5.0.1-0.rc2.143.el5_5.6 conflicts with file from package autofs-5.0.1-0.rc2.88
    file /etc/rc.d/init.d/autofs from install of autofs-5.0.1-0.rc2.143.el5_5.6 conflicts with file from package autofs-5.0.1-0.rc2.88
    file /etc/sysconfig/autofs from install of autofs-5.0.1-0.rc2.143.el5_5.6 conflicts with file from package autofs-5.0.1-0.rc2.88
    file /usr/share/man/man5/auto.master.5.gz from install of autofs-5.0.1-0.rc2.143.el5_5.6 conflicts with file from package autofs-5.0.1-0.rc2.88
    file /usr/share/man/man1/bash.1.gz from install of bash-3.2-24.el5 conflicts with file from package bash-3.2-21.el5
    file /usr/share/authconfig/authconfig-tui.pyc from install of authconfig-5.3.21-6.el5 conflicts with file from package authconfig-5.3.21-3.el5
    file /usr/share/authconfig/authconfig-tui.pyo from install of authconfig-5.3.21-6.el5 conflicts with file from package authconfig-5.3.21-3.el5
    file /usr/share/authconfig/authconfig.py from install of authconfig-5.3.21-6.el5 conflicts with file from package authconfig-5.3.21-3.el5
    file /usr/share/authconfig/authconfig.pyc from install of authconfig-5.3.21-6.el5 conflicts with file from package authconfig-5.3.21-3.el5
    file /usr/share/authconfig/authconfig.pyo from install of authconfig-5.3.21-6.el5 conflicts with file from package authconfig-5.3.21-3.el5
    file /usr/share/authconfig/authinfo.py from install of authconfig-5.3.21-6.el5 conflicts with file from package authconfig-5.3.21-3.el5
    file /usr/share/authconfig/authinfo.pyc from install of authconfig-5.3.21-6.el5 conflicts with file from package authconfig-5.3.21-3.el5
    file /usr/share/authconfig/authinfo.pyo from install of authconfig-5.3.21-6.el5 conflicts with file from package authconfig-5.3.21-3.el5
    file /usr/share/authconfig/dnsclient.pyc from install of authconfig-5.3.21-6.el5 conflicts with file from package authconfig-5.3.21-3.el5
    file /usr/share/authconfig/dnsclient.pyo from install of authconfig-5.3.21-6.el5 conflicts with file from package authconfig-5.3.21-3.el5
    file /usr/share/authconfig/shvfile.pyc from install of authconfig-5.3.21-6.el5 conflicts with file from package authconfig-5.3.21-3.el5
    file /usr/share/authconfig/shvfile.pyo from install of authconfig-5.3.21-6.el5 conflicts with file from package authconfig-5.3.21-3.el5
    file /usr/share/man/man1/alsactl.1.gz from install of alsa-utils-1.0.17-1.el5 conflicts with file from package alsa-utils-1.0.14-3.rc4.el5
    file /usr/share/man/man1/alsamixer.1.gz from install of alsa-utils-1.0.17-1.el5 conflicts with file from package alsa-utils-1.0.14-3.rc4.el5
    file /usr/share/man/man1/amixer.1.gz from install of alsa-utils-1.0.17-1.el5 conflicts with file from package alsa-utils-1.0.14-3.rc4.el5
    file /usr/share/man/man1/aplay.1.gz from install of alsa-utils-1.0.17-1.el5 conflicts with file from package alsa-utils-1.0.14-3.rc4.el5
    file /usr/share/man/man1/arecordmidi.1.gz from install of alsa-utils-1.0.17-1.el5 conflicts with file from package alsa-utils-1.0.14-3.rc4.el5
    file /usr/share/man/man1/iecset.1.gz from install of alsa-utils-1.0.17-1.el5 conflicts with file from package alsa-utils-1.0.14-3.rc4.el5

    Error Summary
    -------------
    ---------------------------
    what to do ?

  24. #24
    Join Date
    Dec 2010
    Posts
    278
    Im not sure, did you backup your /etc/bind before deleting it?
    As you might have just lost your DNS...

  25. #25
    Join Date
    Jul 2010
    Location
    Close 2 U
    Posts
    549
    No ... I have not backup any thing ...
    I will remove all conflicting packages ...

  26. #26
    Join Date
    Jul 2010
    Location
    Close 2 U
    Posts
    549
    No ... I have not backup any thing ...
    I will remove all conflicting packages ...

  27. #27
    Join Date
    Dec 2010
    Posts
    278
    Be careful, have you tried just installing bind since you deleted it?

    #yum install bind

  28. #28
    Join Date
    Jul 2010
    Location
    Close 2 U
    Posts
    549
    bind installed successfully ...
    but not updating .......

    Transaction Check Error:
    file /usr/share/man/man1/bash.1.gz from install of bash-3.2-24.el5 conflicts with file from package bash-3.2-21.el5

    Error Summary
    ---------------------

    I have just exclude bash ... seems updating ....

  29. #29
    Join Date
    Jul 2010
    Location
    Close 2 U
    Posts
    549
    its working well now ...
    I removed all conflicted packages ... then updated then reinstalled all removed ...

    Thanks "Rapid2214"

Similar Threads

  1. yum update problem
    By mixmox in forum Hosting Security and Technology
    Replies: 2
    Last Post: 11-04-2010, 04:36 PM
  2. Problem with yum update.
    By AstroNyu in forum VPS Hosting
    Replies: 5
    Last Post: 08-13-2009, 09:10 AM
  3. problem in update
    By fastact in forum Hosting Security and Technology
    Replies: 5
    Last Post: 10-13-2008, 07:23 PM
  4. .eu update problem
    By VisiGod in forum Domain Names
    Replies: 0
    Last Post: 01-25-2007, 08:57 PM
  5. DNS Update Problem
    By optimumd in forum Dedicated Server
    Replies: 4
    Last Post: 09-04-2004, 03:45 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •